View Issue Details

IDProjectCategoryView StatusLast Update
11897Bug reportsSurvey editingpublic2017-02-21 11:53
Reporterbcjewel Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Fixed in Version2.06+ 
Summary11897: Ranking question items opposite side to instructions
DescriptionInstructions say "Double-click or drag-and-drop items in the left list to move them to the right - your highest ranking item should be on the top right, moving through to your lowest ranking item."

My list of items is on the right (not the left) and I have to move them to the left (not the right).... I am using a Mac and this occurs in Firefox 49.0.2 but not in Safari. I did upgrade to version 2.55.2+ to see if it would fix the problem, but it didn't (and I didn't like other features of 2.55, so restored to 2.06+)
TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 2.06+ Build 151215
I will donate to the project if issue is resolvedNo
BrowserFirefox 49.0.2
Database & DB-VersionServer version: 5.5.45-cll-lve - MySQL Community Server (GPL)
Server OS (if known)linux
Webserver software & version (if known)cpsrvd 11.58.0.34
PHP Version5.3.29

Activities

DenisChenu

DenisChenu

2016-11-13 17:18

developer   ~41866

Yes, only FF49 know :dir(rtl) instruction. Very old issue, but only know now.

You can fix in template.css
https://github.com/SondagesPro/LimeSurvey-SondagesPro/commit/c2850bab0bad98e2bd8f7048a608ba6def5b4254
LouisGac

LouisGac

2016-11-14 15:25

developer   ~41890

so that's a mac firefox's bug right?
DenisChenu

DenisChenu

2016-11-14 16:03

developer   ~41900

Last edited: 2016-11-14 16:03

View 2 revisions

NO : Firefox (49 and up) is currently the only one browser to respect standard and know :dir(rtl) option.

It's already fixed in 2.5X .

DenisChenu

DenisChenu

2016-11-14 16:04

developer   ~41901

Last edited: 2016-11-14 16:05

View 2 revisions

See http://stackoverflow.com/a/12181336/2239406

PS : it's why i added dir-ltr/dir-rtl class in body for 3.0 version

DenisChenu

DenisChenu

2016-12-10 18:47

developer   ~42518

Fix committed to 2.06lts branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21756

Related Changesets

LimeSurvey: 2.06lts 74dfdacc

2016-12-10 18:47:31

DenisChenu


Committer: GitHub Details Diff
Fixed issue 11897: Ranking question opposite side to instructions

Dev: only for Firefox 50 currently, other surely in some times
Affected Issues
11897
mod - styles-public/ranking.css Diff File

Issue History

Date Modified Username Field Change
2016-11-12 19:49 bcjewel New Issue
2016-11-13 17:18 DenisChenu Note Added: 41866
2016-11-14 15:25 LouisGac Note Added: 41890
2016-11-14 16:03 DenisChenu Note Added: 41900
2016-11-14 16:03 DenisChenu Note Edited: 41900 View Revisions
2016-11-14 16:04 DenisChenu Note Added: 41901
2016-11-14 16:05 DenisChenu Note Edited: 41901 View Revisions
2016-12-10 18:47 DenisChenu Changeset attached => LimeSurvey 2.06lts 74dfdacc
2016-12-10 18:47 DenisChenu Note Added: 42518
2016-12-10 18:47 DenisChenu Assigned To => DenisChenu
2016-12-10 18:47 DenisChenu Resolution open => fixed
2016-12-10 18:48 DenisChenu Status new => resolved
2016-12-10 18:48 DenisChenu Fixed in Version => 2.06+
2017-02-21 11:53 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing